/*
Theme Name: generatepress-child
Template: generatepress
*/

body{
    font-family: "Montserrat", Sans-serif;
}
html {
  scroll-behavior: smooth;
}
.contenedorCursos .elementor-shortcode {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    column-gap: 22px;
}
.unCurso{
    width:405px;
    margin-bottom:35px;
}
.single-curso_o_carrera .inside-article header.entry-header {
    display: none;
}
.contInfo h3{
    font-size:20px;
    font-weight:600;
    color:#333333;
    line-height:32px;
    margin-bottom:0;
}
.contInfo p{
    font-size:16px;
    color:#333333;
    line-height:26px;
    margin-bottom:7px;
    display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3; /* Número de líneas a mostrar */
  overflow: hidden; /* Oculta texto después de 3 líneas */
}
.contImagen{
    position:relative;
    margin-bottom:2px;
}
.contImagen .cartelModalidad{
        position: absolute;
    -webkit-border-top-right-radius: 5px;
    -moz-border-radius-topright: 5px;
    border-top-right-radius: 15px;
    bottom: -3px;
    left: 0;
    background: white;
    padding: 5px 12px 5px 6px;
    font-size: 12px;
    font-weight: 600;
}

.contImagen img{
    -webkit-border-top-left-radius: 15px;
    -webkit-border-top-right-radius: 15px;
    -moz-border-radius-topleft: 15px;
    -moz-border-radius-topright: 15px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}
.cartelModalidad[data-modalidad="presencial"] {
      color: #D3838C;
}
.cartelModalidad[data-modalidad="virtual"] {
      color: #B69349;
}
.cartelModalidad[data-modalidad="semipresencial"] {
      color: #485D90;
}
.inscripcionAbierta{
            position: absolute;
    background-color:#E6C97E;
    text-align:center;
    top:0;
    width:100%;
        -webkit-border-top-left-radius: 14px;
    -webkit-border-top-right-radius: 14px;
    -moz-border-radius-topleft: 14px;
    -moz-border-radius-topright: 14px;
    border-top-left-radius: 14px;
    border-top-right-radius: 14px;
    font-size:14px;
    font-weight:600;
    color:#000000;
    padding:3px;
}

a.verMas{
    display:inline-block;
    background-color:#0a6e73;
    color:#ffffff;
    font-size:15px;
    font-weight:600;
    padding: 4px 8px 4px 10px;
    -webkit-border-radius: 9px;
    -moz-border-radius: 9px;
    border-radius: 9px;
}
article.curso_o_carrera h2{
    color: #6C1320;
    font-family: "Montserrat", Sans-serif;
    font-weight: 600; 
}
.one-container .site-content {
    padding: 0;
}
.single-curso_o_carrera #tituloSitioPropuesta{
    display:none;
}
.contenedorUnCurso{
      display: flex;
  flex-wrap: wrap; /* Permite que las columnas bajen si no hay espacio */
  gap: 20px; /* Espaciado entre columnas */
}
.contenedorUnCurso .columnaIzquierda{
      flex: 1 1 calc(35% - 10px); /* Ocupa 50% menos la mitad del gap */
  box-sizing: border-box;
  background-color: #f4e9cb;
  padding: 30px;
  -webkit-border-radius: 15px;
-moz-border-radius: 15px;
border-radius: 15px;
}
.contenedorUnCurso .columnaCentral{
      flex: 1 1 calc(65% - 10px); /* Ocupa 50% menos la mitad del gap */
  box-sizing: border-box;

}
h5.modo{
    font-size: 16px;
    font-weight: 500;
    color: #6C1320;
    padding: 0;
    margin: 0 0 0 2px;
}
.columnaIzquierda p{
    padding:0;
    margin:0 0 11px 0;
}
.conTags{
     margin:0 0 11px 0;   
}
a.etiqueta{
    display:inline-block;
    background-color:#ffffff;
    padding:0 9px;
    font-weight:600;
    font-size:15px;
    text-decoration:none;
    -webkit-border-radius: 11px;
    -moz-border-radius: 11px;
    border-radius: 11px;
}
.columnaCentral img{
    -webkit-border-top-left-radius: 15px;
-webkit-border-top-right-radius: 15px;
-moz-border-radius-topleft: 15px;
-moz-border-radius-topright: 15px;
border-top-left-radius: 15px;
border-top-right-radius: 15px;
}
a.boton{
    display: inline-block;
    background-color: #D3838C;
    padding: 7px 15px;
    margin:8px 0;
    font-weight: 700;
    font-size: 17px;
    text-decoration: none;
    -webkit-border-radius: 11px;
    -moz-border-radius: 11px;
    border-radius: 16px;
    color: #ffffff;
    width: 100%;
    text-align: center;
}
a.boton.inscribite{
    background-color: #D3838C;
    color: #ffffff;
}
a.boton.irAlCurso{
    background-color:#485D90;
    color: #ffffff;
}
.contenidoCurso{
    margin-top:15px;
}
.inicioInscripcion{
        display: block;
    border: 1px solid #ffffff;
    padding: 10px;
    background-color: #E6C97E;
    color: #ffffff;
    font-size: 18px;
    font-weight: 700;
    text-align: center;
    margin-top: 22px;
}
#formulario{
    padding:25px;
    background-color:#efefef;
    -webkit-border-bottom-right-radius: 15px;
-webkit-border-bottom-left-radius: 15px;
-moz-border-radius-bottomright: 15px;
-moz-border-radius-bottomleft: 15px;
border-bottom-right-radius: 15px;
border-bottom-left-radius: 15px;
}
#pie p{
    margin:0;
    padding:0;
}

body.archive.tag main.site-main{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    column-gap: 22px;
}
body.archive.tag main.site-main header.page-header{
    width:100%;
}

body.archive.tag main.site-main header.page-header h1.page-title{
   font-size:20px;
   font-weight:600;
   margin-left:12px;
}

body.archive.tag main.site-main header.page-header h1.page-title::before{
    content: "Etiqueta: ";
}

body.archive.tag article.curso_o_carrera h2.entry-title{
    display:none;
}

body.archive.tag article.curso_o_carrera{
    width: 405px;
    margin-bottom: 35px;
}
body.archive.tag article.curso_o_carrera a{
    text-decoration:none;
}
.columnaCentral .imagen img{
    width:100%;
    object-fit: cover; /* Crops the image to fill the dimensions while maintaining aspect ratio */
  object-position: center; /* Centers the visible part (default, but can be adjusted) */
  height:270px;
}

/* --- Media Query para adaptabilidad --- */
@media (max-width: 1000px) {
  .contenedorUnCurso .columnaIzquierda, .contenedorUnCurso .columnaCentral {
    flex: 1 1 100%; /* Apila las columnas en pantallas pequeñas (768px o menos) */
  }
  .entry-content{
      padding:0 15px;
  }
}